int find_number(int MAX){
    int st=1,dr=MAX,rsp,k;
    while(st<=dr){
        int mij=(st+dr)/2;
        k=smaller(mij);
        if(k==1){
            dr=mij-1;
        }
        else{
            st=mij+1;
            rsp=mij;
        }
   